Virtualbox 5.04 no longer supported [SOLVED}

Questions about applications and software
Forum rules
Before you post please read how to get help
rlwa32
Level 1
Level 1
Posts: 32
Joined: Thu Aug 03, 2017 8:06 am

Virtualbox 5.04 no longer supported [SOLVED}

Post by rlwa32 »

Version 5.04 of virtualbox, the latest contained in the Linux Mint repository, is no longer supported. This means that users of this software on Linux Mint are now subject to unremediated security vulnerabilities in the virtualbox software.

1. What is the plan, if any exists, to provide an official Linux Mint upgrade path to currently supported 5.1 versions of virtualbox?

2. In the event that there is no present intent to provide for an official upgrade, is there a comprehensive, current and accurate guide to performing the update? In my searches on this subject I have seen any number of suggested methods about upgrading and many are incomplete or contradictory. This does not fill me with confidence about how to proceed.
Last edited by rlwa32 on Fri Aug 04, 2017 5:45 pm, edited 1 time in total.
User avatar
Pierre
Level 20
Level 20
Posts: 10930
Joined: Fri Sep 05, 2008 5:33 am
Location: Perth, AU.

Re: Virtualbox 5.04 no longer supported

Post by Pierre »

there is currently, several posts available,
that all point to using the VB release from the official Oracle Site:
https://www.virtualbox.org/wiki/Linux_Downloads
rather than the version that is supplied by the LinuxMint repository.

that main point, here, is that the LinuxMint system is somewhat conservative in it's nature.
and that some software in the LinuxMint system, is Not Always the latest available.

further more, the Version 5.04 of virtualbox, should be already prompting you, the user,
to upgrade to the later version of 5.1.5.1.xxx
Image
Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.
rlwa32
Level 1
Level 1
Posts: 32
Joined: Thu Aug 03, 2017 8:06 am

Re: Virtualbox 5.04 no longer supported

Post by rlwa32 »

Thank you for the response.

I am aware of the official download site for virtualbox, but that is not the focus of my question. While a conservative approach to software update/upgrade is fine, failing to address upgrading unsupported major packages like virtualbox 5.04 is a different issue entirely. In fact, Oracle recently released a list of security vulnerabilities affecting Virtualbox in July 2017 which will not be remediated for unsupported 5.04. See http://www.oracle.com/technetwork/secur ... pendixOVIR

IMHO, "conservatism" is an insufficient justification for not providing an upgrade path within the Linux Mint official upgrade framework.

Notwithstanding the above, can you recommend specific upgrade guidance? And the 5.04 installed version does not issue any update prompts.
altair4
Level 20
Level 20
Posts: 10256
Joined: Tue Feb 03, 2009 10:27 am

Re: Virtualbox 5.04 no longer supported

Post by altair4 »

rlwa32 wrote:IMHO, "conservatism" is an insufficient justification for not providing an upgrade path within the Linux Mint official upgrade framework.
The "offical upgrade framework" in this case is not owned by Mint. It's owned by Ubuntu and in Ubuntu 16.04 the latest version of VBox is 5.04.

My argument ( to Ubuntu ) has always been the reverse of yours. Why have VBox in the repositories at all. Download it from it's creators directly should you need it.
Please add a [SOLVED] at the end of your original subject header if your question has been answered and solved.
rlwa32
Level 1
Level 1
Posts: 32
Joined: Thu Aug 03, 2017 8:06 am

Re: Virtualbox 5.04 no longer supported

Post by rlwa32 »

I am not interested in discussing philosophical differences as to whether Virtualbox should or should not be in the repositories.

Rather, I am seeking guidance as to an accurate, comprehensive method to upgrade Virtualbox 5.04 on Mint 18.1 to a supported version.
User avatar
Faust
Level 5
Level 5
Posts: 500
Joined: Thu Jul 14, 2016 3:40 am

Re: Virtualbox 5.04 no longer supported

Post by Faust »

Pierre wrote:.... the Version 5.04 of virtualbox, should be already prompting you, the user,
to upgrade to the later version of 5.1.5.1.xxx
Definitely no prompts appearing here .
I run Virtualbox 5.04 every day on Mint 17.3 Cinnamon .
" And so it goes " - Kurt Vonnegut
The modern reality and the satirical parody are rapidly converging .
User avatar
Bolle1961
Level 5
Level 5
Posts: 739
Joined: Tue Jun 29, 2010 12:59 pm
Contact:

Re: Virtualbox 5.04 no longer supported

Post by Bolle1961 »

altair4 wrote:Download it from it's creators directly should you need it.
Or use the Oracle repos
“Only when the last tree has been cut down, the last fish been caught, and the last stream poisoned, will we realize we cannot eat money.” ― Cree Indian Prophecy
Image
User avatar
JerryF
Level 13
Level 13
Posts: 4699
Joined: Mon Jun 08, 2015 1:23 pm
Location: Rhode Island, USA

Re: Virtualbox 5.04 no longer supported

Post by JerryF »

Faust wrote:
Pierre wrote:.... the Version 5.04 of virtualbox, should be already prompting you, the user,
to upgrade to the later version of 5.1.5.1.xxx
Definitely no prompts appearing here .
I run Virtualbox 5.04 every day on Mint 17.3 Cinnamon .
I've gotten prompts for the Windows version of Virtualbox, but never for Linux version.
*** IF your problem has been solved, please edit your ORIGINAL post and add [SOLVED] to the beginning of the Subject Line. It helps other members when browsing posts. ***
User avatar
Bolle1961
Level 5
Level 5
Posts: 739
Joined: Tue Jun 29, 2010 12:59 pm
Contact:

Re: Virtualbox 5.04 no longer supported

Post by Bolle1961 »

Preferences -> update -> check for updates
“Only when the last tree has been cut down, the last fish been caught, and the last stream poisoned, will we realize we cannot eat money.” ― Cree Indian Prophecy
Image
User avatar
JerryF
Level 13
Level 13
Posts: 4699
Joined: Mon Jun 08, 2015 1:23 pm
Location: Rhode Island, USA

Re: Virtualbox 5.04 no longer supported

Post by JerryF »

Bolle1961 wrote:Preferences -> update -> check for updates
Just checked and 5.04 doesn't have an Update in Preferences.
Screenshot_001.jpg
*** IF your problem has been solved, please edit your ORIGINAL post and add [SOLVED] to the beginning of the Subject Line. It helps other members when browsing posts. ***
User avatar
Bolle1961
Level 5
Level 5
Posts: 739
Joined: Tue Jun 29, 2010 12:59 pm
Contact:

Re: Virtualbox 5.04 no longer supported

Post by Bolle1961 »

Strange. Maybe because you have a version from the Mint / Ubuntu repos, my version (5.1.24) is from the Oracle site.
I also have under File "check for updates"
“Only when the last tree has been cut down, the last fish been caught, and the last stream poisoned, will we realize we cannot eat money.” ― Cree Indian Prophecy
Image
mr_raider
Level 7
Level 7
Posts: 1889
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: Virtualbox 5.04 no longer supported

Post by mr_raider »

rlwa32 wrote:I am not interested in discussing philosophical differences as to whether Virtualbox should or should not be in the repositories.

Rather, I am seeking guidance as to an accurate, comprehensive method to upgrade Virtualbox 5.04 on Mint 18.1 to a supported version.
There is no update from 5.04 to 5.1. It must be done manually. Here is how I did it:

1. Open synaptic and remove every package with the word virtualbox in it. Virtualbox, dkms, guest utils, etc... The whole shabang. All of it.

2. Follow the instructions here for debian based distros:

https://www.virtualbox.org/wiki/Linux_Downloads

You can add the repo in the mint software sources tool. Use "xenial" as the distro for Mint 18.x

Add the keys by pasting the command line instructions as indicated.

Update apt then install virtualbox 5.1

3. There are several architectural differences in the 5.1 series vs 5.0, not the least of which is the end of the dkms modules. Your old VMs will work, you just need to reimport them from whatever folder they were stored in.

4. I also suggesting upgrading your kernel to the latest in your series (4.4 or 4.10) as well as running all level 4 updates to full upgrade mesa and the xserver. Virtualbox 5.1 depends on those components to provide compositing in your guests.

5. You should no longer install the "virtualbox-guest-x11 and -dkms packages in your guest Linux OSes. They will eff up 3d acceleration.
Image
rlwa32
Level 1
Level 1
Posts: 32
Joined: Thu Aug 03, 2017 8:06 am

Re: Virtualbox 5.04 no longer supported

Post by rlwa32 »

mr_raider,

Thank you for your focused response.

I have seen various posts from different sources that indicate that existing VMs should be exported before the update or they will be lost. Is this accurate?

I have also seen comments to the effect that although Mint is running on a real box that it still includes startup procedures for the virtualbox guest utilities and so after the upgrade they should be reinstalled on the real system since Mint startup expects to see them. Is this accurate?
User avatar
Faust
Level 5
Level 5
Posts: 500
Joined: Thu Jul 14, 2016 3:40 am

Re: Virtualbox 5.04 no longer supported

Post by Faust »

rlwa32 wrote:..... various posts from different sources that indicate that existing VMs should be exported before the update or they will be lost. Is this accurate?
Yes indeed !
Since posting earlier I remembered some first experiences of updating Virtualbox .... and losing my VMs .

This is what I found in my notes , just as a starting point on this :-
how to save VMs before virtualbox update
https://superuser.com/questions/316473/ ... ckup-files

use the "Appliance Export Wizard" in VirtualBox to export your VM
https://askubuntu.com/questions/112482/ ... -to-64-bit

How to clone VMs
https://www.howtogeek.com/171228/10-vir ... now-about/

It might help .... please post back with some details if your update worked .
" And so it goes " - Kurt Vonnegut
The modern reality and the satirical parody are rapidly converging .
User avatar
Bolle1961
Level 5
Level 5
Posts: 739
Joined: Tue Jun 29, 2010 12:59 pm
Contact:

Re: Virtualbox 5.04 no longer supported

Post by Bolle1961 »

You don't have to export your virtual machines. They are stored in /home/user/VirtualBox VMs
Making a backup is always smart ofcourse ;)
“Only when the last tree has been cut down, the last fish been caught, and the last stream poisoned, will we realize we cannot eat money.” ― Cree Indian Prophecy
Image
rlwa32
Level 1
Level 1
Posts: 32
Joined: Thu Aug 03, 2017 8:06 am

Re: Virtualbox 5.04 no longer supported

Post by rlwa32 »

I am giving some time for others to contribute their guidance and helpful suggestions on the upgrade procedures to follow. Rest assured, in addition to backing up the VirtualBox VMs folder contents I intend to backup my entire Linux system before the upgrade is attempted. Just in case...
mr_raider
Level 7
Level 7
Posts: 1889
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: Virtualbox 5.04 no longer supported

Post by mr_raider »

rlwa32 wrote:mr_raider,

Thank you for your focused response.

I have seen various posts from different sources that indicate that existing VMs should be exported before the update or they will be lost. Is this accurate?

I have also seen comments to the effect that although Mint is running on a real box that it still includes startup procedures for the virtualbox guest utilities and so after the upgrade they should be reinstalled on the real system since Mint startup expects to see them. Is this accurate?
I have not exxported them. Just move them to a different folder before uninstalling the 5.0. Then move them back and import them. There may be minor incompatibilities like usb 3.0 controllers, or KVM acceleration that needs to be checked.

Yes Mint installs the guest services on the bare metal install. It's designed to make it easier to test in a VM. This should stop since Linux vbox guests don't need the modules anymore. vboxvideo is in the kernel now.

I always remove the guest utils from Mint after install. They serve no purpose.
Image
rlwa32
Level 1
Level 1
Posts: 32
Joined: Thu Aug 03, 2017 8:06 am

Re: Virtualbox 5.04 no longer supported

Post by rlwa32 »

mr_raider wrote:

Yes Mint installs the guest services on the bare metal install. It's designed to make it easier to test in a VM. This should stop since Linux vbox guests don't need the modules anymore. vboxvideo is in the kernel now.

I always remove the guest utils from Mint after install. They serve no purpose.
When I run systemctl it shows
UNIT LOAD ACTIVE SUB DESCRIPTION
virtualbox-guest-utils.service loaded active exited LSB: VirtualBox Linux Additions
virtualbox.service loaded active exited LSB: VirtualBox Linux kernel module

My understanding is that I should remove all of the 5.04 packages as the first step. Presumably, that removal will also clean up the systemd entries. when 5.1 is subsequently installed on the bare metal it will not install the guest utilities. Have I got it right?

I'm fairly new to Linux so thank you for bearing with me on this.
mr_raider
Level 7
Level 7
Posts: 1889
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: Virtualbox 5.04 no longer supported

Post by mr_raider »

rlwa32 wrote:
mr_raider wrote:

Yes Mint installs the guest services on the bare metal install. It's designed to make it easier to test in a VM. This should stop since Linux vbox guests don't need the modules anymore. vboxvideo is in the kernel now.

I always remove the guest utils from Mint after install. They serve no purpose.
When I run systemctl it shows
UNIT LOAD ACTIVE SUB DESCRIPTION
virtualbox-guest-utils.service loaded active exited LSB: VirtualBox Linux Additions
virtualbox.service loaded active exited LSB: VirtualBox Linux kernel module

My understanding is that I should remove all of the 5.04 packages as the first step. Presumably, that removal will also clean up the systemd entries. when 5.1 is subsequently installed on the bare metal it will not install the guest utilities. Have I got it right?

I'm fairly new to Linux so thank you for bearing with me on this.
Yes. Packages that have the word guest in the name should not be installed on the host. Mint (and not Ubuntu) has been doing this since 2014 at least.
Image
User avatar
Pierre
Level 20
Level 20
Posts: 10930
Joined: Fri Sep 05, 2008 5:33 am
Location: Perth, AU.

Re: Virtualbox 5.04 no longer supported

Post by Pierre »

Faust wrote: Definitely no prompts appearing here .
I run Virtualbox 5.04 every day on Mint 17.3 Cinnamon .
JerryF wrote: I've gotten prompts for the Windows version of Virtualbox, but never for Linux version.
It's been a long time since I've used VB in an Windows Host,
- usually it's the Windows as a Guest.

& I'm using lots of machines ATM, but the last time, there was an update prompt,
was just a few days ago, and on an machine that's running on MX16.

and also on another machine that's running on Ultimate Edition 50,
but I'm not running a VB on on any LinuxMint host ATM.
& so I'm not able to comment on whether a LM host does give a prompt, or not.
rlwa32 wrote: My understanding is that I should remove all of the 5.04 packages as the first step. Presumably, that removal will also clean up the systemd entries. when 5.1 is subsequently installed on the bare metal it will not install the guest utilities. Have I got it right?

I'm fairly new to Linux so thank you for bearing with me on this.
yes - - use Package Manager AKA synaptic to "Mark for Removal",
and click on apply, to remove the version 5.0.x

then goto the Oracle WebSite:
https://www.virtualbox.org/wiki/Linux_Downloads
and download the version 5.1.5.xxx and install that version.

now, I've done this upgrade both ways:
- export all VBs to a OVA file on another usb HDD /stick
then import them back, after the upgrade.
:P
- just removed the old version & upgraded immediately.
and all of the VBs were still in-place ..
8)
Image
Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.
Post Reply

Return to “Software & Applications”